Bug 1019428 - Review Request: python-alchimia - A Python library that integrates Twisted with SqlAlchemy
Review Request: python-alchimia - A Python library that integrates Twisted wi...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-15 13:09 EDT by Vladan Popovic
Modified: 2016-04-26 10:05 EDT (History)
6 users (show)

See Also:
Fixed In Version: python-alchimia-0.4-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-07 23:59:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mrunge: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Vladan Popovic 2013-10-15 13:09:51 EDT
Spec URL: https://raw.github.com/vladan/python-alchimia-rpm/master/python-alchimia.spec
SRPM URL: https://github.com/vladan/python-alchimia-rpm/raw/master/python-alchimia-0.4-1.fc19.src.rpm
Description: alchimia lets you use most of the SQLAlchemy-core API with Twisted, it does not allow you to use the ORM.
Fedora Account System Username: vpopovic
Comment 1 Mario Blättermann 2013-10-15 15:06:10 EDT
Your package bundles a prebuilt egg, please remove it before building the package:
rm -rf %{srcname}.egg-info
See http://fedoraproject.org/wiki/Packaging:Python_Eggs#Upstream_Eggs.

The summary is not really informative. Use that one from your review request:
"New and (perhaps) interesting sqlalchemy+twisted integration"


Buildarch: noarch
It is actually "BuildArch: noarch". Don't know if it would work anyway, but my text editor marks it as a typo.


%install
%{__rm} -rf %{buildroot}
...
%clean
%{__rm} -rf %{buildroot}
...
%defattr(-, root, root, 0755)

These parts are for EPEL5 only. If you really point to this release, you have to add a spec file header which defines %{python_sitelib} and a BuildRoot definition. Otherwise, remove them.


License:    The MIT License (MIT)
"License: MIT" is sufficient here.


I'm missing some %doc files:
AUTHORS
ChangeLog
CONTRIBUTING.rst
LICENSE
Comment 2 Christopher Meng 2013-10-16 00:32:39 EDT
Also add your email addr in the %changelog after your name. And add release 1 appended after 0.4 like:


* Thu Oct 10 2013 Vladan Popovic <vpopovic@redhat.com> - 0.4-1

Use bumpspec to see what is the standard of changelog section. Or see an example of mine:

http://cicku.me/python-pygit2.spec
Comment 3 Matthias Runge 2013-10-16 03:21:23 EDT
Will do a review later, when issues are fixed
Comment 4 Vladan Popovic 2013-10-16 05:04:34 EDT
I have updated the spec file and created a new srpm for the second version.
They can be found here:
- https://github.com/vladan/python-alchimia-rpm/raw/master/python-alchimia.spec
- https://github.com/vladan/python-alchimia-rpm/raw/master/python-alchimia-0.4-2.fc19.src.rpm

Thanks for all the comments everybody!
Comment 5 Christopher Meng 2013-10-16 05:50:33 EDT
1.
Wrong:

%changelog
* Wed Oct 16 2013 Vladan Popovic <vpopovic@redhat.com> - 0.4-2%{?dist}

--->

%changelog
* Wed Oct 16 2013 Vladan Popovic <vpopovic@redhat.com> - 0.4-2


2. %{__python} --> %{__python2}

%{python_sitelib}--> %{python2_sitelib}

3. DO NOT leave any macro in %changelog:

- Add files to %doc

-->

- Add files to %%doc

4. You'd better BR python2-devel.
Comment 6 Vladan Popovic 2013-10-16 07:33:42 EDT
third round coming up, fixed: 
__python -> __python2
python_sitelib -> python2_sitelib
%doc -> %%doc
0.4-2%{?dist} -> 0.4-2

added:
python2-devel
python-pbr
rm -f {test-,}requirements.txt in the prep section


https://github.com/vladan/python-alchimia-rpm/raw/master/python-alchimia.spec

https://github.com/vladan/python-alchimia-rpm/raw/master/python-alchimia-0.4-3.fc19.src.rpm
Comment 7 Mario Blättermann 2013-10-16 14:21:49 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6066357

Rpmlint is quite silent, only this:

python-alchimia.noarch: W: incoherent-version-in-changelog .4-3 ['0.4-3.fc21', '0.4-3']
The latest entry in %changelog contains a version identifier that is not
coherent with the epoch:version-release tuple of the package.

Please add the missing name and mail address to the latest chengelog entry. Such problems couldn't happen if you use rpmdev-bumpspec. It generates a proper changelog entry template for you which you still have to fill with the changes.
Comment 8 Vladan Popovic 2013-10-17 05:33:20 EDT
Can't beleive I forgot this, sorry.
It should be ok now, I ran rpmlint and it doesn't complain.

https://github.com/vladan/python-alchimia-rpm/raw/master/python-alchimia.spec
https://github.com/vladan/python-alchimia-rpm/raw/master/python-alchimia-0.4-3.fc19.src.rpm
Comment 9 Matthias Runge 2013-10-18 05:46:28 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated", "*No copyright* Apache (v2.0)". 6 files have
     unknown license. Detailed output of licensecheck in
     /home/mrunge/review/1019428-python-alchimia/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 5 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-alchimia-0.4-3.fc21.noarch.rpm
          python-alchimia-0.4-3.fc21.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-alchimia
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-alchimia (rpmlib, GLIBC filtered):
    python(abi)
    python-sqlalchemy
    python-twisted



Provides
--------
python-alchimia:
    python-alchimia



Source checksums
----------------
https://pypi.python.org/packages/source/a/alchimia/alchimia-0.4.tar.gz :
  CHECKSUM(SHA256) this package     : fb407a2894e3d07e6d71672819a95c1492799c6819eab54e0a4d444939f29ef0
  CHECKSUM(SHA256) upstream package : fb407a2894e3d07e6d71672819a95c1492799c6819eab54e0a4d444939f29ef0


OK, PACKAGE APPROVED!

Vladan, when importing the package, please re-get the source tarball using wget, to preserve the original timestamp, thanks.

I'll sponsor you into the packager group
Comment 10 Vladan Popovic 2013-10-18 06:55:58 EDT
JEEJ

Thanks Matthias, I'll use wget. I also put the -R in .curlrc to preserve the timestamp so this doesn't happen again.
Comment 11 Vladan Popovic 2013-10-18 08:05:45 EDT
New Package SCM Request
=======================
Package Name: python-alchimia
Short Description: A Python library that integrates Twisted with SqlAlchemy
Owners: vpopovic
Branches: f19
InitialCC:
Comment 12 Christopher Meng 2013-10-18 08:36:00 EDT
No f20 branch?
Comment 13 Gwyn Ciesla 2013-10-18 08:54:06 EDT
Git done (by process-git-requests).

I added f20, no worries.
Comment 14 Vladan Popovic 2013-10-18 09:01:07 EDT
I haven't tested it on f20, wasn't sure if I should put it. Thanks Jon.
Comment 15 Mario Blättermann 2013-11-02 07:50:44 EDT
No package builds yet...?
Comment 16 Fedora Update System 2013-11-06 04:38:52 EST
python-alchimia-0.4-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-alchimia-0.4-3.fc20
Comment 17 Fedora Update System 2013-11-06 04:40:06 EST
python-alchimia-0.4-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-alchimia-0.4-3.fc19
Comment 18 Fedora Update System 2013-11-06 13:22:57 EST
python-alchimia-0.4-3.fc20 has been pushed to the Fedora 20 testing repository.
Comment 19 Christopher Meng 2013-12-23 10:53:34 EST
I think that you can push them to stable now.
Comment 20 Vladan Popovic 2014-02-07 06:00:52 EST
I just submitted a stable push request, not sure if I can push to stable directly since all wiki pages (and bodhi manpage) state it's releng only.
Comment 21 Fedora Update System 2014-02-07 23:59:17 EST
python-alchimia-0.4-3.fc19 has been pushed to the Fedora 19 stable repository.
Comment 22 Fedora Update System 2014-02-08 00:09:45 EST
python-alchimia-0.4-3.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.